<?php
namespace Bitfoundry\Etnpay\Model;

class Info
{
    public function getPaymentInfo(\Magento\Payment\Model\InfoInterface $payment, $labelValuesOnly = false)
    {
        $result = [];

        $order = $payment->getOrder();
        $order_id = $order->getId();

        $etn_amount = '';

        if ($order->hasInvoices()) {
            $oInvoiceCollection = $order->getInvoiceCollection();
            foreach ($oInvoiceCollection as $oInvoice) {
                $etn_amount = $oInvoice->getEtnAmount();
            }
        }

        if ($etn_amount) {
            // add etn_amount
            $label = __('Electroneum Paid');
            $value = $etn_amount;
            if ($labelValuesOnly) {
                $result[(string)$label] = $value;
            } else {
                $result['etn_amount'] = ['label' => $label, 'value' => $value];
            }
        }

        return $result;
    }
}
